package com.qmth.boot.tools.excel.convertor.impl;

import com.qmth.boot.tools.excel.convertor.ValueConvertor;
import com.qmth.boot.tools.excel.model.FieldParam;
import org.apache.poi.ss.usermodel.Cell;

public class StringConvertor implements ValueConvertor<String> {

    public static final StringConvertor instance = new StringConvertor();

    @Override
    public String parse(String value, FieldParam param) throws Exception {
        return value;
    }

    @Override
    public void format(String object, FieldParam param, Cell cell) throws Exception {
        cell.setCellValue(object);
    }
}
